İçeriğe geç
Twexapi
Türkçe
Esc
gezin⌘Jönizle

Grok Konuşmasını Getir

Grok Konuşmasını Getir.

API Belgelerine Dön
/Grok Endpoints
POST/v3/twitter/grok/conversation
API Yetkilendirmesi
AuthorizationBearer token · headerzorunlu
TwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
İstek Gövdesi
zorunluapplication/json
conversation_idstringzorunlu
Grok conversation rest id.
cookiestringzorunlu
Kullanıcının kendi yetkilendirilmiş Twitter oturum kimlik bilgileri veya auth_token (BYOC — Bring Your Own Cookie). Sıfır kimlik bilgisi saklama ile durum bilgisi olmayan proxy yürütmesi. [Kimlik Doğrulama Güvenliği](/tr/authentication#write-operations--byoc-bring-your-own-cookie) ve [Cookie Nasıl Alınır](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) sayfasına bakın.
proxystring | any
Optional HTTP proxy. Example: http://username:password@ip:port
Özellikleri göster
Any of:
string
string
any
any
Yanıtlar
200Grok conversation messages.
codeintegerzorunlu
HTTP durum kodu (200 başarılı anlamına gelir)
msgstringzorunlu
Yanıt mesajı (örn: 'success')
dataGrokConversationData | any
Uç nokta tarafından döndürülen ana veri
Özellikleri göster
Any of:
GrokConversationData
conversation_idstringzorunlu
Grok conversation rest id
is_pinnedboolean
Whether the conversation is pinned
default: false
cursorstring | any
Sayfalama imleci
Özellikleri göster
Any of:
string
string
any
any
itemsGrokConversationItem[]
Conversation items
Özellikleri göster
Array of GrokConversationItem
chat_item_idstringzorunlu
Chat item id
messagestring | any
Message content
Özellikleri göster
Any of:
string
string
any
any
sender_typestring | any
Sender type: User or Agent
Özellikleri göster
Any of:
string
string
any
any
created_at_msinteger | any
Created at timestamp in ms
Özellikleri göster
Any of:
integer
integer
any
any
grok_modestring | any
Grok mode
Özellikleri göster
Any of:
string
string
any
any
thinking_tracestring | any
Thinking trace text
Özellikleri göster
Any of:
string
string
any
any
image_urlsstring[]
Generated image urls from card attachments
any
any
422Parametre Doğrulama Hatası
detailValidationError[]
Özellikleri göster
Array of ValidationError
locstring | integer[]zorunlu
Özellikleri göster
Array of string | integer
Any of:
string
string
integer
integer
msgstringzorunlu
Yanıt mesajı (örn: 'success')
typestringzorunlu
inputany
ctxobject
Etkileşimli KonsolPOST
Etkileşimli Konsol / API TestiPOST
Live Console
🌐Hedef Sunucu:https://api.twexapi.io
● Canlı Ortam Hazır
✍️
Yazma İşlemi Kimlik Kılavuzu (TwexAPI Anahtarı + Twitter Çerezi)

1. TwexAPI Anahtarı (Bearer Token): İstek faturalandırması ve kimlik doğrulama için aşağıdaki "API Yetkilendirmesi"ne girin.

2. Twitter Hesabı Çerezi: Yazma işlemleri için (tweet, beğeni, takip), aşağıdaki cookie alanına hedef hesabın Çerezini (örn. auth_token=...; ct0=...) girin.

🔑API Yetkilendirmesi
📝İstek Gövdesiapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

İstek
curl -X POST "https://api.twexapi.io/v3/twitter/grok/conversation" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "conversation_id": "2063972906435248338",
  "cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
  "proxy": "http://username:password@ip:port"
}'
Yanıt
{
  "code": 200,
  "msg": "success",
  "data": {
    "conversation_id": "string",
    "is_pinned": false,
    "cursor": "string",
    "items": [
      {
        "chat_item_id": "2063977852924837888",
        "message": "string",
        "sender_type": "User",
        "created_at_ms": 0,
        "grok_mode": "Normal",
        "thinking_trace": "string",
        "image_urls": [
          "string"
        ]
      }
    ]
  }
}